Authentication

Get current user information

GET
/auth/me

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Response Body

application/json

application/json

curl -X GET "https://v2.api.piktid.com/auth/me"
{
  "username": "string",
  "email": "string",
  "name": "string",
  "surname": "string",
  "verified": true,
  "credits": 0,
  "contract": "string",
  "affiliation": "string",
  "address": null,
  "country": null,
  "vat_num": null,
  "groups": [
    "string"
  ],
  "last_active": "string",
  "billing_destination": null,
  "company_role": null,
  "company_type": null,
  "product_categories": null,
  "target_audiences": null,
  "segment": null,
  "use_cases": null
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty